libmspub::Fill Class Referenceabstract

`#include <Fill.h>`

Inheritance diagram for libmspub::Fill:

## Public Member Functions

| Fill (const MSPUBCollector *owner)
virtual void | getProperties (librevenge::RVNGPropertyList *out) const =0
virtual | ~Fill ()

## Protected Attributes

const MSPUBCollector * | m_owner

## Private Member Functions

| Fill (const Fill &)
Fill & | operator= (const Fill &)

## Constructor & Destructor Documentation

## Fill() [1/2]

libmspub::Fill::Fill | ( | const MSPUBCollector * | owner | ) |

Referenced by Fill(), libmspub::GradientFill::GradientFill(), libmspub::GradientFill::GradientFill(), libmspub::ImgFill::ImgFill(), libmspub::ImgFill::ImgFill(), operator=(), libmspub::SolidFill::SolidFill(), and libmspub::SolidFill::SolidFill().

## ~Fill()

virtual libmspub::Fill::~Fill | ( |  | ) |

inline virtual

## Fill() [2/2]

libmspub::Fill::Fill | ( | const Fill & |  | ) |

inline private

## Member Function Documentation

## getProperties()

virtual void libmspub::Fill::getProperties | ( | librevenge::RVNGPropertyList * | out | ) | const

pure virtual

Implemented in libmspub::GradientFill, libmspub::ImgFill, libmspub::PatternFill, and libmspub::SolidFill.

## operator=()

Fill & libmspub::Fill::operator= | ( | const Fill & |  | ) |

private

## Member Data Documentation

## m_owner

const MSPUBCollector* libmspub::Fill::m_owner

protected

Referenced by Fill(), Fill(), libmspub::GradientFill::getProperties(), libmspub::ImgFill::getProperties(), libmspub::PatternFill::getProperties(), and libmspub::SolidFill::getProperties().

The documentation for this class was generated from the following files:

- Fill.h
- Fill.cpp